Skip to main content
POST
/
v1
/
services
Create a Service
curl --request POST \
  --url https://api.siit.io/v1/services \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "about": "<string>",
  "enabled": true,
  "category": "<string>"
}
'
{
  "result": {
    "uid": "<string>",
    "about": "<string>",
    "category": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "custom_form_input_configuration": [
      {
        "uid": "<string>",
        "label": "<string>",
        "multiple": true,
        "options": [
          "<string>"
        ],
        "required": true,
        "triggers_app_access": true
      }
    ],
    "enabled": true,
    "name": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The Service name

about
string

The Service description

enabled
boolean

Whether the Service is enabled

category
string

UID of the Service category.

Response

Service created

result
object